com.jscape.inet.mft.management.descriptors

## Class DBAccessAuthenticationServiceDescriptor

- java.lang.Object
- - com.jscape.inet.mft.management.descriptors.Configuration
  - - com.jscape.inet.mft.management.descriptors.ServiceDescriptor
    - - com.jscape.inet.mft.management.descriptors.AuthenticationServiceDescriptor
      - - com.jscape.inet.mft.management.descriptors.DBAccessAuthenticationServiceDescriptor

- All Implemented Interfaces:
    com.jscape.util.db.IntVersioned, java.io.Serializable

      public class DBAccessAuthenticationServiceDescriptor
      extends AuthenticationServiceDescriptor

  DB access authentication service descriptor. The service described by this descriptor takes responsibility for authenticating incoming requests against DB system tables.
  Author:
    Alex
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DBAccessAuthenticationServiceDescriptor()` This constructor is used by serialization sub-system and is not intended to use directly in client code.
    `DBAccessAuthenticationServiceDescriptor(DBAccessAuthenticationServiceDescriptor that)`
    `DBAccessAuthenticationServiceDescriptor(java.lang.String url, java.lang.String accountTemplate, com.jscape.inet.mft.subsystems.authentication.UsernameConversionType usernameConversionType)` Creates a new descriptor instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Configuration` | `copy()`
    `java.lang.String` | `getAccountTemplate()` Returns the account template name.
    `java.lang.String` | `getUrl()` Returns DB URL.
    `com.jscape.inet.mft.subsystems.authentication.UsernameConversionType` | `getUsernameConversionType()`
    `void` | `setAccountTemplate(java.lang.String value)` Sets the account template name.
    `void` | `setUrl(java.lang.String value)` Sets DB URL.
    `void` | `setUsernameConversionType(com.jscape.inet.mft.subsystems.authentication.UsernameConversionType value)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.jscape.inet.mft.management.descriptors.Configuration

      `getVersion, setVersion`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DBAccessAuthenticationServiceDescriptor

          public DBAccessAuthenticationServiceDescriptor(java.lang.String url,
                                                         java.lang.String accountTemplate,
                                                         com.jscape.inet.mft.subsystems.authentication.UsernameConversionType usernameConversionType)

      Creates a new descriptor instance.
      Parameters:
        `url` - DB URL in JDBC format
        `accountTemplate` - account template name

    - #### DBAccessAuthenticationServiceDescriptor

          public DBAccessAuthenticationServiceDescriptor(DBAccessAuthenticationServiceDescriptor that)

    - #### DBAccessAuthenticationServiceDescriptor

          public DBAccessAuthenticationServiceDescriptor()

      This constructor is used by serialization sub-system and is not intended to use directly in client code.

  - ### Method Detail

    - #### getUrl

          public java.lang.String getUrl()

      Returns DB URL.
      Returns:
        DB URL

    - #### setUrl

          public void setUrl(java.lang.String value)

      Sets DB URL.
      Parameters:
        `value` - DB URL

    - #### getAccountTemplate

          public java.lang.String getAccountTemplate()

      Returns the account template name.
      Returns:
        the account template name

    - #### setAccountTemplate

          public void setAccountTemplate(java.lang.String value)

      Sets the account template name.
      Parameters:
        `value` - the account template name

    - #### getUsernameConversionType

          public com.jscape.inet.mft.subsystems.authentication.UsernameConversionType getUsernameConversionType()

    - #### setUsernameConversionType

          public void setUsernameConversionType(com.jscape.inet.mft.subsystems.authentication.UsernameConversionType value)

    - #### copy

          public Configuration copy()

      Specified by:
        `copy` in class `Configuration`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © Advanced Systems Concepts Inc. 1999-2021. All Rights Reserved